Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::StreamConsumer Class Reference

This class handles creation of a thread acquiring from an EGL stream. More...

`#include <StreamConsumer.h>`

List of all members.

## Public Member Functions

| StreamConsumer (EGLStreamKHR eglStream)
| ~StreamConsumer ()
bool | initialize ()
bool | shutdown ()
bool | isEGLStream (EGLStreamKHR eglStream) const
uint32_t | getStreamTextureID () const
bool | setStreamAspectRatio (float aspectRatio)
float | getStreamAspectRatio () const
Mutex & | getStreamTextureMutex ()

## Private Member Functions

| StreamConsumer ()
| Hide default constructor.
virtual bool | threadInitialize ()
virtual bool | threadExecute ()
virtual bool | threadShutdown ()

## Private Attributes

GLContext | m_context
EGLStreamKHR | m_eglStream
EGLint | m_streamState
uint32_t | m_streamTexture
float | m_aspectRatio
| aspect ration of the images transported by the stream
EGLSyncKHR | m_sync
| stream sync object
Mutex | m_mutex
| to protect access of the stream texture

## Detailed Description

This class handles creation of a thread acquiring from an EGL stream.

Definition at line 59 of file StreamConsumer.h.

## Constructor & Destructor Documentation

ArgusSamples::StreamConsumer::StreamConsumer | ( | EGLStreamKHR | eglStream | ) |

explicit

Definition at line 45 of file StreamConsumer.cpp.

ArgusSamples::StreamConsumer::~StreamConsumer | ( |  | ) |

Definition at line 56 of file StreamConsumer.cpp.

ArgusSamples::StreamConsumer::StreamConsumer | ( |  | ) |

private

Hide default constructor.

## Member Function Documentation

float ArgusSamples::StreamConsumer::getStreamAspectRatio | ( |  | ) | const

Definition at line 93 of file StreamConsumer.cpp.

uint32_t ArgusSamples::StreamConsumer::getStreamTextureID | ( |  | ) | const

Definition at line 82 of file StreamConsumer.cpp.

Mutex & ArgusSamples::StreamConsumer::getStreamTextureMutex | ( |  | ) |

Definition at line 99 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::initialize | ( |  | ) |

Definition at line 61 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::isEGLStream | ( | EGLStreamKHR | eglStream | ) | const

Definition at line 77 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::setStreamAspectRatio | ( | float | aspectRatio | ) |

Definition at line 87 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::shutdown | ( |  | ) |

Definition at line 71 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::threadExecute | ( |  | ) |

privatevirtual

Definition at line 141 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::threadInitialize | ( |  | ) |

privatevirtual

Definition at line 105 of file StreamConsumer.cpp.

bool ArgusSamples::StreamConsumer::threadShutdown | ( |  | ) |

privatevirtual

Definition at line 255 of file StreamConsumer.cpp.

## Member Data Documentation

float ArgusSamples::StreamConsumer::m_aspectRatio

private

aspect ration of the images transported by the stream

Definition at line 83 of file StreamConsumer.h.

GLContext ArgusSamples::StreamConsumer::m_context

private

Definition at line 79 of file StreamConsumer.h.

EGLStreamKHR ArgusSamples::StreamConsumer::m_eglStream

private

Definition at line 80 of file StreamConsumer.h.

Mutex ArgusSamples::StreamConsumer::m_mutex

private

to protect access of the stream texture

Definition at line 86 of file StreamConsumer.h.

EGLint ArgusSamples::StreamConsumer::m_streamState

private

Definition at line 81 of file StreamConsumer.h.

uint32_t ArgusSamples::StreamConsumer::m_streamTexture

private

Definition at line 82 of file StreamConsumer.h.

EGLSyncKHR ArgusSamples::StreamConsumer::m_sync

private

stream sync object

Definition at line 85 of file StreamConsumer.h.

The documentation for this class was generated from the following files:

- renderer/StreamConsumer.h
- renderer/StreamConsumer.cpp